#!/bin/bash

#--- infos

# 'ln' creates a hard link (faster than copying)
# 'ln -f' same but remove the destination first to avoid conflicts


#--- call standard MKW patch

[[ -s ./post-patch-mkw.sh ]] && . ./post-patch-mkw.sh


#--- restore saved files

tracks=./files/Race/Course

# restore 63 "DS Delfino Square" on slot 81 "SNES Mario Circuit 3"
#mv $tracks/old_town_ds.save   $tracks/old_mario_sfc.szs 
#mv $tracks/old_town_ds_d.save $tracks/old_mario_sfc_d.szs 


#--- sound files

sounddir=./files/sound/strm

# copy sound files: 43 Bowser's Castle -> 42 GCN Bowser Castle RC2.4
ln -f $sounddir/STRM_N_KOOPA_N.brstm $sounddir/STRM_N_RIDGEHIGHWAY_N.brstm
ln -f $sounddir/STRM_N_KOOPA_F.brstm $sounddir/STRM_N_RIDGEHIGHWAY_F.brstm

# copy sound files: 53 SNES Ghost Valley 2 -> 43 N64 Banshee Broadwalk RC1
ln -f $sounddir/r_SFC_Obake32_n.brstm $sounddir/STRM_N_KOOPA_N.brstm
ln -f $sounddir/r_SFC_Obake32_f.brstm $sounddir/STRM_N_KOOPA_F.brstm

# copy sound files: 72 GBA Bowser Castle 3 -> 51 SNES Bowsers Castle 1
ln -f $sounddir/r_AGB_Kuppa32_n.brstm $sounddir/r_GC_Beach32_n.brstm
ln -f $sounddir/r_AGB_Kuppa32_f.brstm $sounddir/r_GC_Beach32_f.brstm

# copy sound files: 84 N64 Bowser's Castle -> 52 DS Airship Fortress
ln -f $sounddir/r_64_Kuppa32_n.brstm $sounddir/r_DS_Jungle32_n.brstm
ln -f $sounddir/r_64_Kuppa32_f.brstm $sounddir/r_DS_Jungle32_f.brstm

# copy sound files: 44 Rainbow Road -> 54 GBA Rainbow Road
ln -f $sounddir/n_Rainbow32_n.brstm $sounddir/r_64_Circuit32_n.brstm
ln -f $sounddir/n_Rainbow32_f.brstm $sounddir/r_64_Circuit32_f.brstm

